> ## Documentation Index
> Fetch the complete documentation index at: https://docs.alumio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get taskslimits

> Returns the current amount of tasks and limit.



## OpenAPI

````yaml /schema.json get /tasks/limits
openapi: 3.1.0
info:
  version: 01KVQG1C20MKD0B8FDPE4RHEDH
  title: Alumio API
  description: Access Alumio through OpenAPI v3.1.
servers:
  - url: /api/v1
security: []
paths:
  /tasks/limits:
    get:
      tags:
        - TaskLogger
      description: Returns the current amount of tasks and limit.
      operationId: getEnvironmentTaskLimits
      parameters:
        - name: space
          in: query
          description: Space Identifier
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetTaskLimitsResult'
        default:
          description: Unexpected Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    GetTaskLimitsResult:
      type: object
      properties:
        results:
          $ref: '#/components/schemas/TaskLimitsResults'
    Error:
      type: object
      properties:
        status:
          type: string
        context:
          type: object
        type:
          type: string
        title:
          type: string
        detail:
          type: string
        violations:
          type: array
          items:
            type: object
            properties:
              title:
                type: string
              propertyPath:
                type: string
              type:
                type: string
    TaskLimitsResults:
      type: object
      properties:
        limit:
          type: integer
          title: Limit
          description: Maximum amount of tasks allowed
        current:
          type: integer
          title: Current
          description: Current amount of tasks used

````